.header, .body {
    display: grid;
}

.header {
    height: 150px;
    grid-template-areas: "st st st n1 n2 n3";
    grid-gap: 5px;
    margin-bottom: 5px;
}

.body {
    height: 1000px;
    grid-gap: 5px;
    grid-template-areas: 
    "pt pt pt pt sb"
    "pm mc mc mc sb"
    "pm mc mc mc a"
    "pm mci mci mci a"
    "pm mci mci mci o"
    "pm mci mci mci o"
    "f f f f f"
    ;
}

.title {
    grid-area: st;
}

.nav1 {
    grid-area: n1;
}

.n2 {
    grid-area: n2;
}

.n3 {
    grid-area: n3;
}

.post-title {
    grid-area: pt;
}

.side-bar {
    grid-area: sb;
}

.post-meta {
    grid-area: pm;
}

.main-content {
    grid-area: mc;
}

.ads {
    grid-area: a;
}

.main-content-image {
    grid-area: mci;
}

.orther {
    grid-area: o;
}

.footer {
    grid-area: f;
}